package com.multisoft.drivers.fiscalcore;

/// <summary>
/// Коллбек проверки в ОИСМ
/// </summary>
interface IOismResultCallback
{
	/// <summary>
    /// Результаты проверки в ОИСМ
    /// </summary>
	/// <param name="checkResult">Результат проверки сведений о товаре (тег 2106)</param>
	/// <param name="processingResultCodes">Коды обработки запроса (тег 2105)</param>
	/// <param name="requestDateTime">Дата и время запроса (тег 2114)</param>
	/// <param name="processingMode">Режим обработки кода маркировки (тег 2102)</param>
	/// <param name="codeType">Тип кода маркировки (тег 2100)</param>
	/// <param name="oismResponse">Ответ ОИСМ о статусе товара (тег 2109)</param>
	/// <param name="commodityId">Идентификатор товара (тег 2101)</param>
	/// <param name="queryResult">Результаты обработки запроса (тег 2005)</param>
    void OismResult(int checkResult, int processingResultCodes, String requestDateTime, String processingMode, 
		String codeType, String oismResponse, String commodityId, String queryResult);
}